#ifndef NUMBERUTILS_H
#define NUMBERUTILS_H

#include <string>
#include <vector>
#include "../include/Frame.h"

using namespace std;

class NumberUtils {
    public:
        NumberUtils() = default;
        
        ~NumberUtils() = default;
        
        static vector<int> getRolls(const string& csv);
        static bool validateRolls(const vector<int>& rolls);
        static vector<Frame> createFrames(const vector<int>& rolls);
    
    private:
        static Frame createStrikeFrame(int i);
        static Frame createFreeFrame(int i, int j);
        static Frame createBonusFrame(int i, int j, int k);
        static bool isNumber(const std::string& str);
};


#endif